#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k;
    scanf("%d %d",&n,&k);
    int niz[n];
    for(int i=0;i<n;i++)
    {
        scanf("%d",&niz[i]);
    }
    int ispisniz[n];
    int ispisnizbrojac=0;
    for(int i=0;i<n;i++)
    {


        int brojac=0;
        int r=niz[i];
        for(int l=0;l<ispisnizbrojac;l++)
        {
            if(r==ispisniz[l])goto a;
        }
        for(int j=0;j<n;j++)
        {

            if(r==niz[j])brojac++;

        }
        a:if(brojac>=k)
        {
            ispisniz[ispisnizbrojac]=r;
            ispisnizbrojac++;
        }

    }
    printf("%d \n",ispisnizbrojac);
    for(int i=0;i<ispisnizbrojac;i++)
    {
        printf("%d \n",ispisniz[i]);
    }
    return 0;
}